/**
 *
 */

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import net.wanji.opt.SignalOptimizeApplication;
import net.wanji.opt.task.ReportGreenAndCrossOptimizeStatisticTask;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.junit.runners.MethodSorters;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;

/**
 * @author fengyi
 * @date
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = SignalOptimizeApplication.class, webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class OptimizeStatisticTaskTest {

    @Resource
    ReportGreenAndCrossOptimizeStatisticTask optimizeStatisticTask;
    @Test
    public void testProducerTrack()  {
        DateTime dateTime = DateUtil.lastWeek();
        dateTime = DateUtil.beginOfWeek(dateTime.toJdkDate());

        String start = dateTime.toString("yyyy-MM-dd HH:mm:ss");
        String end = DateUtil.now();
        //测试运行上周一到现在的数据
        optimizeStatisticTask.optimizeDurationCal();

    }


}
